/* --------------------- START Letter Day Widget --------------------- */
body:not(.is-scrolled-100px) .circle-wrapper {
    border-radius: 150px;
    background: #1f1f1f80;
    box-shadow: 0px 0px 49px #1f1f1f80, 25px 25px 49px #1f1f1f80;
}

.circle-wrapper {
    --circle-size: 278px;
    --inner-circle-padding: 40px;
    
    cursor: default;
    width: var(--circle-size);
    height: var(--circle-size);
    position: fixed;
    z-index: 12;
    bottom: 5%;
    right: 24px;
    transition: all 0.25s linear;
}

.circle-wrapper .outer-circle {
    width: 100%;
    height: 100%;
    animation: rotateText 60s linear infinite;
    position: absolute;
    top: 0;
    left: 0;
    transition: all 0.25s linear;
}

.circle-wrapper .outer-circle svg {
    width: 100%;
    height: 100%;
}

.circle-wrapper .outer-circle svg text {
    fill: var(--primary-color);
    font-size: 16px;
    letter-spacing: 0.32rem;
    text-transform: uppercase;
    transition: all 0.25s linear;
}

.circle-wrapper .outer-circle svg textPath {
    dominant-baseline: text-before-edge;
    alignment-baseline: before-edge;
}

.circle-wrapper .outer-circle svg circle {
    fill: var(--secondary-color);
}

.circle-wrapper .inner-circle {
    background-color: var(--primary-color, #000);
    color: var(--primary-color-contrast, #fff);
    width: calc(100% - var(--inner-circle-padding) * 2);
    height: calc(100% - var(--inner-circle-padding) * 2);
    position: absolute;
    top: var(--inner-circle-padding);
    left: var(--inner-circle-padding);
    border-radius: 50%;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 15px;
    font-weight: 900;
    font-size: 2em;
    box-sizing: border-box;
    z-index: 3;
}

.is-scrolled-100px .circle-wrapper {
    --circle-size: 100px;
    --inner-circle-padding: 15px;
    bottom: 2%;
    right: 2%;
}

.is-scrolled-100px .circle-wrapper .outer-circle {
    opacity: 0;
    transform: scale(0.5);
}

.is-scrolled-100px .circle-wrapper .inner-circle {
    outline: 4px solid var(--secondary-color);
    font-size: 1.25em;
}

@keyframes rotateText {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 1500px) {
    .circle-wrapper {
        --circle-size: 225px;
    }
}

@media (max-width: 1200px) {
    .circle-wrapper {
        --circle-size: 200px;
        --inner-circle-padding: 30px;
    }
    .circle-wrapper .inner-circle {
        font-size: 1.25em;
    }
}

@media (max-width: 767px) {
    .circle-wrapper {
        --circle-size: 175px;
    }
}

@media (max-width: 600px) {
    .circle-wrapper {
        --circle-size: 150px;
        --inner-circle-padding: 25px;
    }
}
/* ---------------------- END Letter Day Widget ---------------------- */
